#
Prev |  | Next

# toolBar checkItem

## Name

toolBar checkItem -- A toolbar item which changes between two states when clicked.

## Synopsis

`toolBarId` add checkItem [`-option` `value`...]

## Options

-active

  type: boolean (default: 0)

  Whether the widget is active.

-data

  type: string

  User defined data which can be retrieved via the cget subcommand.

-icon

  type: percent-string (default: "")

  Icon of the item.

-name

  type: string

  Name of the widget, can be used to set options in an rc file.

-onButtonPress

  type: string (default: "")

  Tcl command which is executed if a mouse button is press inside the widget. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name %t | type of event: one of buttonPress, button2Press or button3Press %x | x coordinate %y | y coordinate %b | button number %s | state of the buttons and modifiers (bitmask) TABLE

-onButtonRelease

  type: string (default: "")

  Tcl command which is executed if a mouse button is released inside the widget. Before evaluation the following percent strings are substituated: TABLE %% | % %w | widget name %t | type of event: always buttonRelease %x | x coordinate %y | y coordinate %b | button number %s | state of the buttons and modifiers (bitmask) TABLE

-onPopupMenu

  type: string (default: "")

  Tcl command which is executed if the "popup-menu" signal is recieved, which is normally the case if the user presses Shift-F10. Before evaluation the following percent strings are substituated: %w by widget name.

-onShowHelp

  type: string (default: "")

  Tcl command which is executed in the global scope if the "show-help" signal is recieved, which is normally the case if the user presses F1 or Ctrl-F1. Before evaluation the following percent strings are substituated TABLE %% | % %w | widget name %h | help type: either "whatsThis" or "tooltip" TABLE

-onToggled

  type: string (default: "")

  Tcl command to be executed if the radio button is toggled. Before evaluation the following percent strings are substituted: TABLE %% | % %w | widget name. %v | onValue or offValue depending of the state TABLE

-offValue

  type: string (default: 0)

  Value to store in the button's associated variable whenever this button is not selected

-onValue

  type: string (default: 1)

  Value to store in the button's associated variable whenever this button is selected

-sensitive

  type: boolean (default: 1)

  Whether or not the item is sensitve to user input.

-text

  type: percent-string (default: "")

  Text or name of stock item.

-tooltip

  type: string

  Message that appear next to this widget when the mouse pointer is held over it for a short amount of time.

-variable: string

  type: 0

  Name of a (global) variable which is changed when the state of the button changes.

-visible

  type: boolean (default: 1)

  Whether or not the item is visible.

## Description

A check item has two states: on and off. If the state is changed, it executes a command and sets a tcl variable appropriately.

## Commands

`id` cget `option`

  Returns the value for one option. The option may have any of the values accepted by configure.

`id` configure [`-option` `value`...]

  Configures the widget. Option may have any of the values accepted on creation of the widget.

`id` delete

  Deletes the widget and the associated tcl command.

`id` onToggled

  Invoke the Tcl command associated with the check item if there is one. This command is ignored if the button's state is not sensitive.

## See also

toolBar , toolBar item, toolBar radioItem, checkButton

Prev | Home | Next
toolBar item | Up | toolBar radioItem